Bug 25492 - Clearcase profile doesn't handle filenames containing spaces
Clearcase profile doesn't handle filenames containing spaces
Status: VERIFIED FIXED
Product: obsolete
Classification: Unclassified
Component: vcsgeneric
3.x
PC Windows 3.1/NT
: P3 (vote)
: TBD
Assigned To: Martin Entlicher
issues@obsolete
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-10 12:56 UTC by ats37
Modified: 2002-08-05 14:46 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ats37 2002-07-10 12:56:46 UTC
I'm using 3.4 beta 2 under JDK 1.3.1_03.

In a mounted Clearcase filesystem, I have a file that 
contains spaces in the filename (Components Usage 
Guide.doc).  When I try and check it out, I get the error 
messages:

Command Check Out Reserved failed.
Check the full output of the command on the Runtime tab in 
Explorer. The error output follows:
cleartool: Error: Unable to access "Components": No such 
file or directory.
cleartool: Error: Unable to access "Usage": No such file or 
directory.
cleartool: Error: Unable to access "Guide.doc": No such 
file or directory.

and the file remains checked in.
Comment 1 Jiri Kovalsky 2002-07-10 13:41:11 UTC
Can you Andy post here execution string of the failed command ? Thanks
a lot !
Comment 2 ats37 2002-07-10 15:08:20 UTC
cmd /X /C "cd /D \"R:\AM_GTG\components\EAServerUtils\\Docs 
\"&&  cleartool checkout -c \"\" Components Usage 
Guide.doc "

The mounted filesystem was at 
R:\AM_GTG\components\EAServerUtils, the file was in the 
Docs subdirectory.

I see in the filesystem's expert properties that the 
command specified for Check Out Reserved is
${RUN} ${ClearCaseCMD} checkout -c \"${REASON}\" ${FILE} 
${NUR}
Adding more \"s around the ${FILE} seemed to do the trick.  
I suspect the other commands will have the same problem, 
too.
Comment 3 Jiri Kovalsky 2002-07-10 16:11:56 UTC
Exactly. I am glad we have one more Generic VCS guru user ! :-) Thanks
for reporting. We will fix it as soon as possible.
Comment 4 Marek Grummich 2002-07-22 11:58:30 UTC
Set target milestone to TBD
Comment 5 Martin Entlicher 2002-07-29 19:08:23 UTC
This is fixed in the new clearcase-profile.nbm uploaded on the
additional profiles web page at
http://vcsgeneric.netbeans.org/profiles/index.html
Comment 6 Jiri Kovalsky 2002-08-05 14:46:30 UTC
Works fine using ClearCase profile downloaded from the web on August
5, 2002.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo